using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.ComponentModel;

namespace FingersDance.Control.Player
{
	public partial class UserControlPlayer
	{

        private bool play;

		public UserControlPlayer()
		{
			this.InitializeComponent();
             
            initPlayer();
		}

        void initPlayer()
        { 
            //init player
            play = false;
            MediaElementVideo.Source = new Uri("Resources\\Lake.wmv", UriKind.Relative);
            MediaElementVideo.LoadedBehavior = MediaState.Manual;
        }

        private void ButtonPlayPause_ContactDown(object sender, Microsoft.Surface.Presentation.ContactEventArgs e)
        {
            if (!play)//Play
            {
                play = true;
                try
                {
                    MediaElementVideo.Play();
                }
                catch (Exception ex) { }
            }
            else//Pause
            {
                play = false;
                try
                {
                    MediaElementVideo.Pause();
                }
                catch (Exception exx ) { }
            }

        }

        private void ButtonPlayPause_Click(object sender, RoutedEventArgs e)
        {
            if (!play)//Play
            {
                play = true;
                try
                {
                    MediaElementVideo.Play();
                }
                catch (Exception ex ) { }
                ButtonPlayPause.Background = FindResource("[Skin_1]_Pause_button_xaml") as Brush;
            }
            else//Pause
            {
                play = false;
                try
                {
                    MediaElementVideo.Pause();
                }
                catch (Exception exx ) { }
                ButtonPlayPause.Background = FindResource("[Skin_1]_Play_button_xaml") as Brush;
            }
        }
	}
}